import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
export const slaughterGetPayFactorRequestsService = createAsyncThunk(
  "SLAUGHTER_GET_PAY_FACTOR_REQUESTS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get(
      "province_factor_to_kill_house/?role=" + getRoleFromUrl(),
      {
        params: {
          date1: d.selectedDate1,
          date2: d.selectedDate2,
        },
      }
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
